// DllSearch.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.
//

#include "stdafx.h"


int _tmain(int argc, _TCHAR* argv[])
{
	wchar_t *dllname = L"DllSearchDll.dll";
	if(argc > 1) dllname = argv[1];
	wprintf(L"Versuche, %s mit LoadLibraryEx zu laden.\n", dllname);
	HMODULE hDll = LoadLibraryEx(dllname, NULL, 0);
	if(hDll) {
		wprintf(L"%s wurde gefunden und geladen.\n", dllname);
		FreeLibrary(hDll);
	} else {
		wprintf(L"%s wurde nicht gefunden.\n", dllname);
	}
	return 0;
}

